Package org.gradle.external.javadoc

# Class JavadocOfflineLink

java.lang.Object
org.gradle.external.javadoc.JavadocOfflineLink

All Implemented Interfaces:
  `Serializable`

public class JavadocOfflineLink extends Object implements Serializable
This class is used to hold the information that can be provided to the javadoc executable via the -linkoffline option.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavadocOfflineLink(String extDocUrl, String packagelistLoc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getExtDocUrl()`
  `String`
  `getPackagelistLoc()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavadocOfflineLink

    public JavadocOfflineLink(String extDocUrl, String packagelistLoc)

- ## Method Details

  - ### getExtDocUrl

    public String getExtDocUrl()

  - ### getPackagelistLoc

    public String getPackagelistLoc()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`